/* #region VARIABLES GLOBALES */
:root {
  /* couleurs */
  --orange: #E95420;
  --light-aubergine: #77216F;
  --mid-aubergine: #5E2750;
  --dark-aubergine: #2C001E;
  --warm-grey: #AEA79F;
  --cool-grey: #333333;
  --text-grey: #111111;
  
  /* marges */
  --internal-margin: 1.6rem;
  --external-margin: 2rem;

  /* taille typo générale */
  font-size: min(18px,calc(13px + .5vw));

  /* largeur page max */
  --page-narrow: 1080px;
  --page-wide: 1600px;

  /* #region couleurs light */
  --html-text-color: var(--text-grey);
  --html-background: linear-gradient(150deg, var(--orange) -100%, var(--light-aubergine) 150%);
  --html-background-color: #993057;
  --main-background-color: white;
  --html-scrollbar-color: var(--mid-aubergine) #993057;
  --body-scrollbar-track: #993057;
  --code-background-color: #3a3a3a;
  --code-border: #444;
  --quote-background-color: var(--warm-grey);
  --quote-color: var(--text-grey);
  --quote-border: #807a73;
  --quote-pict-opacity: .4;
  --td-background-color: #eee;
  --check-background: #f9f9f9;
  --check-box-shadow: rgba(50, 50, 50, .5);
	--box-text-accent: #8C3640;
	
	--menu-background-color:var(--mid-aubergine);
	--hr-color:rgba(127,127,127,.3);
}
/*#endregion*/
/* #region couleurs dark */
@media screen {
  :root.dark {
    --html-text-color: white;
    --html-background: linear-gradient(150deg, #444 0%, #564641 60%,  #444 120%);
    --html-background-color: #4f4542;
    --main-background-color: var(--cool-grey);
    --html-scrollbar-color: var(--mid-aubergine) #4f4542;
    --body-scrollbar-track: #4f4542;
    --code-background-color: var(--text-grey);
    --code-border: #242424;
    --quote-background-color: #4b4443;
    --quote-color: white;
    --quote-border: #5d5655;
    --quote-pict-opacity: .1;
    --td-background-color: #222;
    --check-background: #555;
    --check-box-shadow: rgba(50, 50, 50, .8);
		--box-text-accent: var(--orange);
  }
}
/*#endregion*/
/*#endregion*/

/*****************************************************************
1. INITIAL SETTINGS
*****************************************************************/

/* Limited Reset
----------------------------------------------------------------*/

.pun table, .pun div, .pun form, .pun p, .pun h1, .pun h2, .pun h3, .pun h4, .pun h5, .pun pre, .pun blockquote,
.pun ul, .pun ol, .pun li, .pun dl, .pun dt, .pun dd, .pun th, .pun td, .pun fieldset, .pun legend .pun img,
.pun abbr, .pun cite {
	border: 0;
	margin: 0;
	padding: 0;
}

.pun ul, .pun ol {
	list-style: none;
}

/* Content Defaults
----------------------------------------------------------------*/

.pun table {
	border-collapse: collapse;
	border-spacing: 0;
	border: 0;
	empty-cells: show;
	width: 100%;
}

.pun .actions span {
	padding-left: 16px;
	padding-right: 8px;
	background: url(Air/img/bull.png) center left no-repeat;
	display: inline-block;
	line-height: normal;
}

/* Hidden Elements
----------------------------------------------------------------*/

#brdfooter h2, #brdstats h2, #debug h2, #brdstats .conl dt, #brdstats .conr dt, #modcontrols dt,
#searchlinks dt, div.postright h3, .pun .subscribelink span, #announce .hd, #reportform h2, #punmoderate #vf h2,
#punviewforum #vf h2, .pun .required strong span, .pun .icon div {
	display: block;
	overflow: hidden;
	position: absolute;
	text-indent: -9999em;
	width: 0;
}

/* Generic Float Clear
----------------------------------------------------------------*/

.pun .inbox, .pun #brdmain, .pun .crumbs, .pun .pagepost, .pun .block2col {
	min-height: 1px;
}

.pun .inbox:after, .pun #brdmain:after, .pun .crumbs:after, .pun .pagepost:after, .pun .block2col:after {
	content: " ";
	display: block;
	height: 0;
	font-size: 0;
	clear: both;
	visibility: hidden;
}

.pun .block2col .inbox:after {
	content: none;
	clear: none;
}

.clearl {
	clear: left;
}


/*****************************************************************
2. COMMON STYLES
*****************************************************************/

/* Page Layout
----------------------------------------------------------------*/

#punredirect, #punmaint {
	padding: 60px 20% 12px 20%;
}

#puninstall, #pundb_update {
	padding: 20px 10%;
}

#punredirect h2, #punmaint h2 {
	border-bottom-style: dotted;
	border-bottom-width: 1px;
	margin-bottom: 3px;
}

/* Section Spacing and Borders
----------------------------------------------------------------*/

#punindex #brdmain {
	padding-top: 24px;
}

#punredirect #brdmain, #punmaint #brdmain {
	border: 0;
	margin: 0;
	padding: 0;
}

#brdstats {
	border-style: solid none none none;
	border-width: 1px 0 0 0;
	border-color:var(--hr-color);
	margin-top: 24px;
	padding-top: 12px;
}

#quickpost {
	border-style: solid none none none;
	border-width: 1px 0 0 0;
	border-color:var(--hr-color);
	margin-top: 12px;
	padding-top: 12px;
}

/*****************************************************************
3. COMMON BOARD ELEMENTS
*****************************************************************/

/* Logo, Description and Main Menu
----------------------------------------------------------------*/

#brdtitle h1 {
	padding: 0 0 10px 0;
}

#brddesc p {
	padding: 0;
}

#brdmenu {
	margin-top: 1rem;
}

#brdmenu ul {
	padding: 0;
}

#brdmenu li {
	float: left;
}

#brdmenu a {
	display: block;
	min-width: 60px;
	padding: .5rem .35rem;
	white-space: nowrap;
}

#brdmenu a:hover, #brmenu a:active, #brdmenu a:focus {
	text-decoration: none;
}

/* Welcome Box
----------------------------------------------------------------*/

#brdwelcome {
	padding: 10px 0;
}

#brdwelcome .conl, #brdwelcome .conr, #brdwelcome p, #brdwelcome li {
	display: inline;
	padding: 0;
}

#brdwelcome .conl {
	float: left;
}

#brdwelcome .conr {
	float: right;
}

#brdwelcome li span {
	background: url(Air/img/bull.png) center left no-repeat;
	padding-left: 18px;
	margin-right: 3px;
	display: inline-block;
	line-height: normal;
	white-space: nowrap;
}

#brdwelcome .conl li:first-child span {
	padding-left: 0;
	background: none;
}

/* Stats
----------------------------------------------------------------*/

#brdstats .conl {
	float: left;
}

#brdstats .conr {
	float: right;
	text-align: right;
}

#brdstats #onlinelist {
	border-top-style: dotted;
	border-top-width: 1px;
	clear: both;
}

#brdstats #onlinelist dt, #brdstats #onlinelist dd {
	display: inline;
}

/* Footer
----------------------------------------------------------------*/

.pun #modcontrols {
	border-style: none none dotted none;
	border-width: 0 0 1px 0;
	margin-bottom: 4px;
	text-align: center;
	width: 100%;
}

.pun #modcontrols dd {
	display: inline;
}

.pun #brdfooter #modcontrols dd span {
	background: url(Air/img/bull.png) center left no-repeat;
	display: inline-block;
	line-height: normal;
	padding-left: 18px;
	white-space: nowrap;
}

.pun #brdfooter .conl {
	float: left;
}

.pun #brdfooter .conr {
	text-align: right;
	float: right;
}

.pun #brdfooter #poweredby a {
	font-size: 1.077em;
	font-weight: bold;
}

.pun #brdfooter #qjump {
	padding-top: 5px;
}

.pun #brdfooter #qjump * {
	white-space: nowrap;
}

.pun #brdfooter #searchlinks dd span {
	background: url(Air/img/bull.png) center left no-repeat;
	display: inline-block;
	line-height: normal;
	padding-left: 18px;
	white-space: nowrap;
}

.pun #brdfooter #feedlinks {
	padding-bottom: 0;
}

.pun #brdfooter #feedlinks span {
	background: url(Air/img/feed.png) center left no-repeat;
	display: inline-block;
	padding-left: 18px;
	white-space: nowrap;
}

.pun #debugtime {
	border-style: dotted none none none;
	border-width: 1px 0 0 0;
	margin-top: 7px;
	text-align: center;
}

/* Breadcrumbs, Postlink, Pagination
----------------------------------------------------------------*/

.pun .linkst .inbox, .pun .linksb .inbox, .pun .postlinksb .inbox {
	overflow: hidden;
}

.pun .linksb, .pun .postlinksb, .pun .linkst, .pun .crumbs {
	clear: both;
	position: relative;
}

.pun .crumbs {
	font-size: .9rem;
	padding: 7px 0;
}

.pun .linkst .crumbsplus .pagepost {
	border-top-style: dotted;
	border-top-width: 1px;
}

.pun .linksb .crumbsplus .pagepost, .pun .postlinksb .crumbsplus .pagepost {
	border-bottom-style: dotted;
	border-bottom-width: 1px;
}

.pun .postlinksb .crumbs {
	margin-right: 11em;
}

.pun .crumbs li {
	float: left;
	padding-right: 0.4em;
	white-space: nowrap;
}

.pun .crumbs li strong {
	font-weight: normal;
}

.pun .pagelink {
	float: left;
	white-space: nowrap;
}

.pun .pagelink strong, .pun .pagelink a, .pun .pagelink span.spacer {
	border-style: none none none solid;
	border-width: 0 0 0 1px;
	display: inline-block;
	padding: 0 12px 0 10px;
	margin-right: -6px;
}

.pun .pagelink .item1 {
	border: 0;
}

.pun .pagelink .pages-label {
	display: inline-block;
}

.pun .postlink {
	float: right;
	font-weight: bold;
	text-align: right;
}

.pun .modbuttons {
	float: right;
	padding: 5px 0 3px 0;
}

.pun .modbuttons input {
	margin-left: 8px;
}

.pun .subscribelink {
	position: absolute;
	right: 0;
	text-align: right;
	top: 33px;
}

#punindex .subscribelink {
	top: 0px;
}

#punindex .linksb {
	height: 12px;
}

/*****************************************************************
4. MAIN TABLES
*****************************************************************/

.pun #brdmain .blocktable {
	position: relative;
}

.pun .blocktable tr {
	height:2.4em;
}
#punindex #brdmain .blocktable h2, #punsearch #vf h2 {
	color: white;
	text-transform: uppercase;
	font-size: 1em;
  line-height:2.4em;
	font-weight: normal;
	margin: 1px 1px 0 1px;
	padding-left: 8px;
	position: absolute;
	left: 12px;
	white-space: nowrap;
	z-index: 50;
}
#punindex .blocktable th {
	line-height: 1em;
}

#punindex .blocktable th.tcl, #punsearch #vf th.tcl {
	font-size: 0;
	text-indent: -9999em;
}

.pun .blocktable .box {
	border: none;
	overflow: hidden;
	position: relative;
	margin-top: 1rem;
}

.pun .blocktable table {
	table-layout: fixed;
}

.pun .blocktable th {
	padding: 7px 8px;
	border: none;
	text-align: left;
}

.pun .blocktable td {
	padding: 1rem .4rem;
	line-height: 1.3077em;
	border: none;
	text-align: left;
}

.pun .blocktable h3 {
	font-size: 1rem;
	font-weight: bold;
	padding: 0;
}

.pun .blocktable p {
	padding: 0;
}

.pun .blocktable .tcl p {
	padding: 5px 0 0 0;
}

.pun .blocktable .tcl {
	width: auto;
}

.pun .blocktable .tc2, .pun .blocktable .tc3, .pun .blocktable .tcmod {
	padding-left: 0;
	padding-right: 0;
	text-align: center;
	width: 11%;
}

.pun .blocktable .tcr {
	width: 30%;
}

.pun .blocktable td .newtext, .pun .blocktable td .pagestext, .pun .blocktable td .byuser {
	white-space: nowrap;
}

.pun .blocktable .tcl h3 span.newtext {
	font-size: 0.929em;
	font-weight: normal;
}

.pun #vf td.tcl span.stickytext, .pun #vf td.tcl span.closedtext {
	font-size: 1em;
	font-weight: bold;
}

#punsearch #vf .tc2 {
	padding-left: 8px;
	padding-right: 8px;
	text-align: left;
	width: 18%;
}

#users1 .tcr {
	width: 25%;
}

#users1 .tc2 {
	padding-left: 8px;
	padding-right: 8px;
	text-align: left;
	width: 25%;
}

#debug {
	margin-top: 12px;
}

#debug .tcl {
	width: 10%;
}

#punredirect #debug .tcl, #punmaint #debug .tcl {
	width: 20%;
}

#debug .tcr {
	width: 90%;
	white-space: normal;
}

#punindex .tcr .byuser {
	display: block;
}

.pun #vf td.tcl a {
	font-weight: bold;
}

.pun #vf td.tcl span a {
	font-weight: normal;
}

.pun .blocktable .tclcon {
	min-height: 1px;
	overflow: hidden;
	padding: 0 11px 0 12px;
	position: relative;
}

.pun .blocktable .tclcon div {
	width: 100%;
	overflow: hidden;
}

.pun .icon {
	display: none;
	/*border-style: solid;
	border-width: 8px;
	float: left;
	height: 0;
	overflow: hidden;
	width: 0;*/
}

.pun .iposted .ipost {
	font-weight: bold;
	left: 0;
	padding-left: 4px;
	position: absolute;
	text-align: center;
	top: 0;
	width: 8px;
}

/*****************************************************************
MAIN POSTS
*****************************************************************/

/* Structure
----------------------------------------------------------------*/

.pun .blockpost {
	border-style: solid;
	border-width: 1px;
	margin-bottom: -1px;
	overflow: hidden;
	position: relative;
}

.pun .blockpost h2 {
	font-size: 1em;
  line-height:1.462em;
	white-space: nowrap;
	border-bottom-style: solid;
	border-bottom-width: 1px;
	height: 1.462em;
	padding: 0.538em 8px 0.538em 236px;
	font-weight: normal;
}

#punsearch .blockpost h2 {
	height: auto;
	padding-left: 36px;
	white-space: normal;
}

#punsearch .blockpost h2 span span {
	white-space: nowrap;
	display: inline-block;
	font-size: 1.077em;
}

#punsearch .blockpost .icon {
	position: absolute;
	top: 0;
	margin-top: -2.154em;
}

.pun .blockpost h2 .conr {
	float: right;
	text-align: right;
}

.pun .blockpost .inbox {
	float: right;
	position: relative;
	width: 100%;
}

.pun .blockpost .postbody, .pun .blockpost .postfoot {
	border-left-style: solid;
	border-left-width: 1px;
	float: right;
	margin-right: -218px;
	position: relative;
	text-align: left;
	width: 100%;
}

.pun .blockpost .postleft, .pun .blockpost .postfootleft {
	width: 194px;
	padding: 7px 12px 7px 12px;
	float: left;
	margin-left: -218px;
	position: relative;
}

.pun .blockpost .postleft dl {
	padding: 0;
}

#punviewtopic .blockpost dt, #punmoderate .blockpost dt {
	display: block;
	position: absolute;
	padding: 0.538em 0 0.538em 12px;
	height: 1.462em;
	top: -2.615em;
	left: 0;
	overflow: hidden;
	width: 206px;
}

.pun .blockpost dt {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.pun .blockpost dt strong {
	font-size: 1.231em;
	font-weight: bold;
}

.pun .blockpost .postleft dd {
	font-size: 0.923em;
}

.pun .blockpost .postleft .usertitle {
	padding: 4px 0 6px 0;
	font-size: 1em;
}

.pun .blockpost .postleft .postavatar {
	display: block;
	margin: 0 0 4px 0;
}

.pun .blockpost .postright {
	position: relative;
	padding: 4px 230px 7px 18px;
}

.pun .postmsg {
	width:100%;
	overflow: hidden;
	word-wrap: break-word;
}

.pun .blockpost .postfootright {
	position: relative;
	padding: 7px 230px 7px 18px;
	text-align: right;
}

.pun .postfoot p, .pun .postfoot ul {
	padding: 0;
}

.pun .blockpost .postfootright li {
	display: inline;
}

.pun .blockpost .postfootright li span {
	display: inline-block;
	padding-left: 16px;
	margin-left: 8px;
	line-height: normal;
	background: url(Air/img/bull.png) center left no-repeat;
}

.pun .blockpost .usercontacts {
	padding: 7px 0;
}

.pun .blockpost .usercontacts .email {
	background: url(Air/img/email.png) left 65% no-repeat;
	margin-right: 5px;
	padding-left: 21px;
	display: inline-block;
	line-height: normal;
}

.pun .blockpost .usercontacts .website {
	background: url(Air/img/ext.png) left 65% no-repeat;
	padding-left: 18px;
	display: inline-block;
	line-height: normal;
}

.pun .postsignature hr {
	border:none;
	height: 1px;
	margin-left: 0px;
	text-align: left;
}

/* Content (includes other user content)
----------------------------------------------------------------*/

.pun .usercontent {
	padding: 7px 0;
}

.pun .usercontent h1, .pun .usercontent h2, .pun .usercontent h3,
.pun .usercontent h4, .pun .usercontent h5, .pun .usercontent h6 {
	padding: 7px 0 0 0;
}

.pun .postmsg h5, #punhelp h5 {
	font-size: 1.231em;
	font-weight: bold;
	padding: 7px 0;
}

.pun .usercontent ul, .pun .postmsg ul {
	list-style: disc;
	padding: 4px 13px 4px 30px;
}

.pun .usercontent ol, .pun .postmsg ol {
	list-style: decimal;
	padding: 4px 13px 4px 30px;
}

.pun .usercontent ol.alpha, .pun .postmsg ol.alpha {
	list-style: lower-alpha;
}

.pun .usercontent li, .pun .postmsg li {
	padding: 0 3px;
}

.pun .usercontent li p, .pun .postmsg li p {
	padding: 0;
}

.pun span.bbu {
	text-decoration: underline;
}

.pun span.bbs, .pun del {
	text-decoration: line-through;
}

.pun .postmsg ins, #punhelp samp ins {
	text-decoration: none;
}

.pun .blockpost .postmsg .postedit {
	font-size: 0.857em;
}

.pun .blockform .postsignature, .pun .blockpost .postsignature {
	font-size: 0.923em;
}

.pun .codebox {
	border-style: solid;
	border-width: 1px;
	margin: 0.75em 1em;
	padding: 0;
}

.pun .quotebox {
	border-style: solid;
	border-width: 1px 1px 1px 3px;
	margin: 0.75em 1em;
	padding: 0 0.75em;
}

.pun .quotebox cite {
	display: block;
	padding: 0.75em 0 0 0;
	font-weight: bold;
	line-height: 1.462em;
}

.pun .quotebox blockquote {
	overflow: hidden;
	width: 100%;
}

.pun .codebox pre {
	overflow: auto;
	width: 100%;
	direction: ltr;
	text-align: left;
}

.pun .codebox pre code {
	padding: 0.5em;
	white-space: pre;
}

.pun div[class*=codebox] pre code {
	display: inline-block;
}

.pun .codebox pre.vscroll {
	height: 32em;
	overflow: auto;
	overflow-y: auto;
}

.pun .postmsg img, #punhelp samp img {
	vertical-align: text-top;
}

.pun .postmsg .postimg img {
	max-width: 98%;
	vertical-align: middle;
	margin: 7px 0.5em 7px 0;
}

.pun .postmsg .postimg a:link img, .pun .postmsg .postimg a:visited img {
	border-style: solid;
	border-width: 2px;
}

/*****************************************************************
MAIN FORMS
*****************************************************************/

#punedit .blockform h2, #punpost .blockform h2, #postpreview h2, #posterror h2,
.pun #quickpost h2, .pun #reportform h2, #pundelete .blockform h2 {
	font-size: 1em;
  line-height:1.462em;
	font-weight: bold;
	white-space: nowrap;
	padding: 10px 19px 4px 37px;
	border: 0;
}

#punpost .blockform h2, #punedit .blockform h2,.pun #quickpost h2,
#pundelete .blockform h2 {
	margin: 1px 1px 0 1px;
	width: 25em;
	position: absolute;
	z-index: 100;
}

.pun #quickpost legend, #punpost legend, #punedit legend {
	width: 25em;
	overflow: hidden;
	white-space: nowrap;
}

.pun .blockform .box {
	border-style: solid;
	border-width: 1px;
	padding-bottom: 12px;
}

.pun #posterror {
	border-style: solid;
	border-width: 1px;
}

.pun #posterror .box {
	padding: 0 18px 12px 18px;
}

.pun .blockform .forminfo, .pun .error-info {
	padding: 12px 18px;
	border-style: solid;
	border-width: 1px;
	position: relative;
}

.pun .blockform .forminfo {
	margin-top: 12px;
}

#pundelete .blockform .forminfo {
	margin-top: 33px;
}

.pun .forminfo h3 {
	padding-bottom: 0;
}

.pun .error-list li {
	padding-left: 24px;
	background: url(Air/img/exclaim.png) center left no-repeat;
}

.pun .inform {
	padding: 0 18px;
}

.pun legend {
	font-weight: bold;
	padding: 10px 19px 4px 19px;
}

.pun .infldset {
	border-style: solid;
	border-width: 1px;
	padding: 12px 18px;
}

#punregister #rules .infldset {
	padding: 5px 18px;
}

.pun fieldset p {
	padding: 0 0 7px 0;
	width: 100%;
}

.pun fieldset .usercontent p {
	padding: 7px 0;
}

.pun fieldset label {
	display: block;
	padding: 0 0 7px 0;
}

.pun label em {
	font-weight: normal;
	font-style: normal;
}

.pun .required strong {
	background: url(Air/img/asterisk.png) center right no-repeat;
	font-weight: normal;
	padding-right: 14px;
	white-space: pre;
	display: inline-block;
	line-height: normal;
}

.pun label input, .pun label select, .pun label textarea {
	margin-top: 2px;
}

.pun label.conl {
	display: inline-block;
	padding-right: 12px;
}

.pun form .buttons {
	padding: 8px 19px 8px 34px;
	margin-bottom: -12px;
}

.pun .blockform .buttons input {
	margin-right: 12px;
}

.pun .rbox {
	padding: 3px 0;
}

.pun .rbox label {
	padding: 3px 0 3px 1.75em;
	position: relative;
	min-height: 1px;
}

.pun .rbox input {
	margin: 3px 0.75em 3px -1.75em;
	float: left;
	position: relative;
	vertical-align: middle;
	padding: 0;
	height: 1em;
	width: 1em;
}

.pun .txtarea textarea, .pun input.longinput {
	width: 98%;
}

.pun textarea {
	resize: vertical;
}

.pun #quickpost .txtarea {
	padding-right: 12px;
	position: relative;
}

.pun .blockform .bblinks {
	padding-top: 0;
}

.pun .blockform .bblinks li {
	display: inline;
}

.pun .blockform .bblinks li span {
	background: url(Air/img/help.png) center left no-repeat;
	margin-right: 8px;
	padding-left: 20px;
	display: inline-block;
}

.pun #quickpost .bblinks {
	padding-top: 0;
}

.pun #quickpost .bblinks li {
	display: inline;
}

.pun #login p.clearb {
	border-top-style: dotted;
	border-top-width: 1px;
	font-size: 0;
	height: 0;
	line-height: 0;
	margin-top: 7px;
	overflow: hidden;
	padding-bottom: 3px;
	padding-top: 7px;
	text-indent: -9999em;
	width: 100%;
}

.pun #postreview {
	padding-top: 12px;
}

.pun #postpreview, .pun #posterror {
	margin-bottom: 12px;
}

.pun #postpreview .postright {
	padding: 0;
}

.pun #postpreview .postbody {
	border-style: solid;
	border-width: 1px;
	float: none;
	margin: 0 18px 12px 18px;
	padding: 0;
	padding: 4px 18px 4px 18px;
	width: auto;
}

.pun span.email {
	background: url(Air/img/email.png) left 65% no-repeat;
	margin-right: 5px;
	padding-left: 21px;
	display: inline-block;
	line-height: normal;
}

.pun span.website {
	background: url(Air/img/ext.png) left 65% no-repeat;
	padding-left: 18px;
	display: inline-block;
	line-height: normal;
}

#punmisc #rules .box {
	border-style: solid;
	border-width: 1px;
	padding: 5px 18px;
}


#punhelp .box {
	border-style: solid;
	border-width: 1px;
	padding: 7px 12px;
}

.pun .multiselect {
	float: left;
	padding-bottom: 7px;
}

.pun .checklist {
	border-width: 1px;
	border-style: solid;
	max-height: 9em;
	width: 20em;
	overflow: auto;
	padding: 0.25em 0.5em;
	margin: 0.25em 16px 0 0.15em;
}

.pun .checklist legend {
	padding: 0;
}

.pun .checklist legend span {
	width: auto;
	max-width: 25em;
}

/*****************************************************************
PROFILES (+ ADMIN MENU)
*****************************************************************/

/* Profile / Admin
----------------------------------------------------------------*/

.pun .blockmenu {
	width: 13em;
	float: left;
	padding-bottom: 12px;
}

.pun .block2col .blockform, .pun .block2col .block {
	margin-left: 15em;
}

.pun .blockmenu .block2 {
	padding-top: 19px;
}

.pun .blockmenu ul {
	border-top-style: dotted;
	border-top-width: 1px;
	padding: 0;
}

.pun .blockmenu li {
	border-bottom-style: dotted;
	border-bottom-width: 1px;
	font-weight: bold;
	padding: 0;
}

.pun .blockmenu a:link, .pun .blockmenu a:visited {
	display: block;
	padding: 9px 6px 3px 6px;
	min-height: 1px;
	text-decoration: none;
}

.pun .blockmenu a:hover, .pun .blockmenu a:active, .pun .blockmenu a:focus {
	text-decoration: none;
}

#viewprofile .box {
	border-style: solid;
	border-width: 1px;
	padding-bottom: 18px;
}

#viewprofile dt, #adstats dt {
	padding: 7px 0;
	position: absolute;
	width: 13em;
	left: 0;
}

#viewprofile dl {
	border-style: solid none none none;
	border-width: 1px;
	margin: 7px 0;
	padding: 0;
	width: 100%;
	position: relative;
}

#adintro, #adstats {
	border-style: solid;
	border-width: 1px;
	padding: 18px;
}

#adintro li span {
	display: inline-block;
	padding-left: 16px;
	margin-left: 8px;
	line-height: normal;
	background: url(Air/img/bull.png) center left no-repeat;
}

#adstats .inbox, #adintro .inbox {
	border-style: solid;
	border-width: 1px;
	padding: 18px;
}

#adstats dl {
	margin: 0;
	padding: 0;
	width: 100%;
	position: relative;
}

#viewprofile dd, #adstats dd {
	border-style: none none solid none;
	border-width: 1px;
	padding: 7px 0 7px 13em;
}

/*****************************************************************
COLOUR SCHEME
*****************************************************************/

/* Basic defaults and Common Items
----------------------------------------------------------------*/
/*
#brdtitle #brddesc, .pun .pagepost, #brdstats #onlinelist, #brdfooter #searchlinks, #brdfooter #modcontrols,
#punmaint h2, #punredirect h2, #adminconsole .submittop, .pun #debugtime, .pun .pagelink a, .pun .pagelink * {
	border-color: #b9c5ce;
}


.pun .postmsg .postimg a:link img, .pun .postmsg .postimg a:visited img {
	border-color: #22538a;
}

.pun .postmsg .postimg a:hover img, .pun .postmsg .postimg a:active img, .pun .postmsg .postimg a:focus img {
	border-color: #b50000;
}

.pun .code {
    color: #257ec7;
    background-color: #f1f5f9;
}*/

/* Primary Navigation
----------------------------------------------------------------*/

#brdmenu ul li {
	background: var(--menu-background-color);
}

#brdmenu a, #brdmenu a:link, #brdmenu a:visited {
	color: #d4dae2;
}

#brdmenu a:hover, #brdmenu a:active, #brdmenu a:focus {
	background: #b50000;
	border-color: var(--main-background-color);
	color: #fff;
}

/* Main Tables
----------------------------------------------------------------*/

#punindex .blocktable h2, .pun #vf h2 {
	color: var(--mid-aubergine);
}

#adminconsole fieldset th, #adminconsole fieldset td {
	background: #f6f9fc;
	border-color: #dfe6ee;
}

.pun #users1 h2 {
	background: #fff;
}

.pun .blocktable td {
	border-color: #dfe6ee;
}

.pun .blocktable thead {
	background: linear-gradient(150deg, var(--mid-aubergine) -20%, var(--orange) 200%);
}
.pun .blocktable th {
	background: transparent;
	border-color: #cad7e1;
	color: white;
}

.pun .blocktable td.tcl span.stickytext {
	color: var(--mid-aubergine);
}

/* Main Posts
----------------------------------------------------------------*/

.pun .blockpost {
	background: #f6f9fc;
	border-color: #b9c5ce #d9e1e7;
}

.pun .blockpost h2 {
	background: #ebf1f5;
	border-color: #cad7e1;
	color: var(--light-aubergine);
}

.pun .blockpost .postbody, .pun .blockpost .postfoot {
	background: #fcfdfe;
	border-color: #dfe6ee;
}

.pun .blockpost .postfootright li {
	color: #fcfdfe;
}

.pun .postsignature, .pun .postmsg .postedit {
	color: #566579;
}

.pun .quotebox {
	background: #f8f9f0;
	border-color: #7aadbd;
	color: #566579;
}

.pun .quotebox cite {
	color: var(--light-aubergine);
}

.pun .codebox, #punhelp .codebox code {
	background: #333;
	color: #fff;
}

.pun .postmsg hr {
	background: #b9c5ce;
}

.pun .postmsg ins, #punhelp samp ins {
	background-color: #ff0;
}

/* Main Forms + Profile
----------------------------------------------------------------*/

.pun .blockform .box, #adstats, #adintro, #postpreview, #posterror {
	border-color: #b9c5ce #d9e1e7;
	background: #ebf1f5;
}

#punmisc #rules .box, #punhelp .box {
	border-color: #b9c5ce #d9e1e7;
	background: #f6f9fc;
}

.pun #quickpost h2, #punpost .blockform h2, #punedit .blockform h2, #posterror h2,
#pundelete .blockform h2 {
	background: #ebf1f5;
	color: var(--light-aubergine);
}

.pun .forminfo {
	background: #fff;
	border-color: #dfe6ee;
}

#puninstall form#install .forminfo {
	background: #44699c;
	color: #fff;
}

.pun #posterror .error-info {
	background: #ffffe1;
	border-color: #dfe6ee;
}

#puninstall form#install .error-info {
	background: #ffffe1;
	border-color: #dfe6ee;
	color: #333;
}

.pun .infldset, #adintro .inbox, #adstats .inbox {
	background: #f6f9fc;
	border-color: #dfe6ee;
}

.pun label, .pun legend, #adminconsole fieldset th {
	color: var(--light-aubergine);
}

.pun fieldset p {
	border-color: #b9c5ce;
}

.pun .blockmenu ul, .pun .blockmenu li {
	border-color: #b9c5ce;
}

.pun .blockmenu a:hover, .pun .blockmenu a:active, .pun .blockmenu a:focus {
	background: #ffffe6;
}

.pun .blockmenu .isactive a:link, .pun .blockmenu .isactive a:visited {
	color: #333;
	background: #f6f9fc;
}

.pun #viewprofile .box {
	border-color: #b9c5ce #d9e1e7;
	background: #ebf1f5;
}

.pun #viewprofile dt, #adstats dt {
	color: var(--light-aubergine);
}

.pun #viewprofile dl, .pun #viewprofile dd, #adstats dl, #adstats dd {
	border-color: #dfe6ee;
}

#adminconsole fieldset td.nodefault {
	background: #d59b9b;
}

.pun .multiselect {
	color: var(--light-aubergine);
}

.pun .checklist {
	background: white;
	border-color: #ccc;
}

/* Status Indicators
----------------------------------------------------------------*/

.pun .icon {
	border-color: #e8ecf1 #d4d9dd #dfe3e8 #e8ecf1;
}

.pun .iredirect .icon {
	border-color: #b9c5ce;
	border-width: 1px;
	padding: 7px;
}

.pun .inew .icon {
	border-color: #91b3d9 #87a8d1 #6c85bb #7292c3;
}




.pun li::before {
  display: none;
}
main .pun h1, main .pun h3 {
	margin-top: 0;
}
#announce-block {
	background-color: var(--td-background-color);
	padding: var(--internal-margin)
}
.pun .blocktable h3 {
	margin-bottom: .4rem;
}
.pun .blocktable a {
	color: var(--box-text-accent);
}
.pun .blocktable a:hover {
	color: white;
}
.pun .blocktable .modlist {
	display: none;
}
.pun .blocktable tr:not(:first-child) td {
	padding-top: 0;
}

#brdmenu ul {
	display: flex;
	flex-wrap: wrap;
	--gap: 1px;
	margin-left: calc(-1 * var(--gap));
}
#brdmenu ul li {
	float: none;
	flex-grow: 1;
	margin: var(--gap) 0 0 var(--gap);
}
#brdmenu ul li a {
	text-align: center;
}

@media (max-width: 950px) {
	.pun .blocktable .tc2, .pun .blocktable .tc3 {
		display: none;
	}
}
@media (max-width: 500px) {
	.pun .blocktable {
		width: calc(100% + 2*var(--internal-margin));
		margin-left: calc(-1*var(--internal-margin));
	}
}